How to get past the database load error C6DBLOAD.XLG when using Spectrum Universal Address Module (UAM) Canadian Database (March-2014 Vintage)

If you get the database load error C6DBLOAD.XLG when using the Canadian database (March-2014 Vintage), make sure you have the appropriate Spectrum patches loaded:

Spectrum 7 you should have S54 patch
Spectrum 8 you should have S32 patch
Spectrum 9 you should have S09 patch

The March 2014 database will be labeled as version 9.0.0.  It is functional with all 3 supported Spectrum versions at this time (Spectrum 7, 8 & 9) as long as the appropriate patch is applied.

To download the most current Spectrum Canadian database version 9.0.0 navigate to: http://store.pbinsight.com/promo/94548800

The links to version 6.4 and version 7.0 have been retired.

If the issue is unresolved after following these steps, contact technical support for further assistance.
UPDATED:  April 13, 2017